//***************************************************************************************
//
//***************************************************************************************
//*                                                                           
//*  Project:  state machine generated from UML model using oAW                   
//*                                                                                                                         
//*                                                                  V0.8 Mhz
//***************************************************************************************
//0.3 ** 04.02.09 ** Changed meta model structure: binding of transition event and signal 
//0.4 ** 04.02.09 ** Enhancement to multiple state machine generation 
//					 from one UML model file
//0.6 ** 16.02.09 ** Added GUI and reconstructed project to run as independent jar
//0.7 ** 27.02.09 ** Add vector signal output possibility , minor changes
//0.8 ** 06.03.09 ** 1)Refine design structure of VHDL output:Two separate process
//					 for combinatoric and registers. 2) Add transition activity  	
//***************************************************************************************

package GENMain;

import java.util.HashMap;
import java.util.Map;

import org.openarchitectureware.workflow.WorkflowRunner;
import org.openarchitectureware.workflow.monitor.NullProgressMonitor;


public class GeneratorRunner extends Thread {
	private  WorkflowRunner wfRunner;
	
	public GeneratorRunner(){
		
	}
	
	public void run(String modelFile, String savePath) {
		wfRunner = new WorkflowRunner();
		
		if(modelFile != null && savePath != null){
			
			// main work flow file
			String wfFile =  "FSM_main.oaw";	
			Map<String, String> properties = new HashMap<String, String>();		
			Map<String, Object> slotContents = new HashMap<String, Object>();
		
			properties.put("UMLModelFile", modelFile);	
			properties.put("targetDir", savePath);	
			
			wfRunner.run(wfFile, new NullProgressMonitor(), properties, slotContents);
	
		}
		else {
			Map<String, String> properties = new HashMap<String, String>();		
			Map<String, Object> slotContents = new HashMap<String, Object>();
			wfRunner.run("AD_main.oaw", new NullProgressMonitor(), properties, slotContents);	
		}
			
	}
}





