
package src;

//Base class
public abstract class ObjectNode implements Runnable{
	protected String name = "";
	protected String id= "";
	protected Semaphore sema;
	
	//Standard Constructor	
	public ObjectNode(){
		sema = new Semaphore(0);
		Thread t1 = new Thread(this);
		t1.start();
	}
	
	public void setName(String _n){
		name = _n;
	}
	
	public String getName(){
		return name;
	}
	
	//Next two functions must be overwritten from the inherited classes 
	public abstract void setTargetTrans(ObjectFlow _trans);
	
	public abstract ObjectFlow getTargetTrans();
	
	public abstract void setSourceTrans(ObjectFlow of);
	
	public abstract String toString();
	
	public void executeAction(Transition _callerTrans){
		sema.unlock();	
	}
	
	public void executeAction(Object o){}
	
	public abstract void run();
}

//Subclasses:



//All objects contained in the model as actual classes: 


